# _DMXConfigEntry Struct Reference

`#include <dmxparse.h>`

## Data Fields

DMXConfigType | type
DMXConfigCommentPtr | comment
DMXConfigVirtualPtr | virtual
struct _DMXConfigEntry * | next

## Detailed Description

Heads entry storage.

## Field Documentation

DMXConfigCommentPtr _DMXConfigEntry::comment

Referenced by dmxConfigCreateEntry(), dmxConfigFreeEntry(), and dmxConfigPrint().

struct _DMXConfigEntry* _DMXConfigEntry::next

Referenced by dmxConfigAddEntry(), dmxConfigCopystrings(), dmxConfigDCCallback(), dmxConfigFreeEntry(), dmxConfigFromConfigFile(), dmxConfigGetDims(), dmxConfigPrint(), dmxConfigReadFile(), and dmxConfigSetupCnamemenu().

DMXConfigType _DMXConfigEntry::type

Referenced by dmxConfigCopystrings(), dmxConfigCreateEntry(), dmxConfigDCCallback(), dmxConfigFreeEntry(), dmxConfigFromConfigFile(), dmxConfigGetDims(), dmxConfigPrint(), dmxConfigReadFile(), and dmxConfigSetupCnamemenu().

DMXConfigVirtualPtr _DMXConfigEntry::virtual

Referenced by dmxConfigCopystrings(), dmxConfigCreateEntry(), dmxConfigDCCallback(), dmxConfigFreeEntry(), dmxConfigFromConfigFile(), dmxConfigGetDims(), dmxConfigMatch(), dmxConfigPrint(), dmxConfigReadFile(), and dmxConfigSetupCnamemenu().

The documentation for this struct was generated from the following file:

- dmxparse.h

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>